# Contributing

It is great you want to contribute!

## Table of Contents

- [How to Contribute](#How-to-Contribute)
- [Contribution Guidelines](#Contribution-Guidelines)
- [Adding New Payment Method](#Adding-New-Payment-Method)
- [Community](#Community)

## How to contribute

If you'd like to contribute, start by searching through the issues and pull requests to see whether someone else has raised a similar idea or question.

If you don't see your idea listed, and you think it fits into the goals of this guide, do one of the following:

* **If your contribution is minor,** such as a typo fix, open a pull request.
* **If your contribution is major,** such as a new payment method, start by opening an issue first. We will have a discussion about if this new payment method will be adding a value to the project.

## Contribution-Guidelines

### Pull Requests

We are using pull requests git workflow and the `master` branch is used for all pull requests. After a pull request is created, it will be reviewed by different contributors and if it meets all the requirements it will be merged by one of the core contributors.

## Adding New Payment Method

Crypto Terminal is designed in a modular way so it is relatively easy to add a new payment method.

Although Crypto Terminal makes adding new payment methods easy, for the good of the projects and users we have to take care of which payment methods we add. A new payment method must be:
- adding a new value to the already integrated payement methods
- used by a big community
- already integrated in the most used hardware wallets (trezor, ledger ...)

## Community

Wherever possible, do not take these conversations to private channels. Keeping communication public means everybody can benefit and learn from the conversation.
